Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.container
Class SpringBlueprintConverterService

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.container.SpringBlueprintConverterService

All Implemented Interfaces:
  ConversionService

    public class SpringBlueprintConverterService

extends Object
implements ConversionService

OSGi 4.2 Blueprint converter adapter as an Spring 3.0 ConverterService.

Author:
  Costin Leau

Constructor Summary
`SpringBlueprintConverterService(ConversionService delegate, ConfigurableBeanFactory cbf)`

Method Summary
`void` | `add(Collection<Converter> blueprintConverters)`
`void` | `add(Converter blueprintConverter)`
`boolean` | `canConvert(Class<?> sourceType, Class<?> targetType)`
`boolean` | `canConvert(TypeDescriptor sourceType, TypeDescriptor targetType)`
`
`<T> T`
` | `convert(Object source, Class<T> targetType)`
`Object` | `convert(Object source, TypeDescriptor sourceType, TypeDescriptor targetType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBlueprintConverterService

    public SpringBlueprintConverterService(ConversionService delegate,
                                           ConfigurableBeanFactory cbf)

Method Detail

### add

    public void add(Converter blueprintConverter)

### add

    public void add(Collection<Converter> blueprintConverters)

### canConvert

    public boolean canConvert(Class<?> sourceType,
                              Class<?> targetType)

  Specified by:
    `canConvert` in interface `ConversionService`

### canConvert

    public boolean canConvert(TypeDescriptor sourceType,
                              TypeDescriptor targetType)

  Specified by:
    `canConvert` in interface `ConversionService`

### convert

    public <T> T convert(Object source,
                         Class<T> targetType)

  Specified by:
    `convert` in interface `ConversionService`

### convert

    public Object convert(Object source,
                          TypeDescriptor sourceType,
                          TypeDescriptor targetType)

  Specified by:
    `convert` in interface `ConversionService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.